From 582ccde908dcad3676dc3fd3ecdc5da1cd77a527 Mon Sep 17 00:00:00 2001
From: Guillem Jover <guillem@debian.org>
Date: Tue, 17 Dec 2024 04:21:48 +0100
Subject: [PATCH] mk: Clarify format for version variables from pkg-info.mk

Ref: #1088244
---
 scripts/mk/pkg-info.mk | 9 +++++++--
 1 file changed, 7 insertions(+), 2 deletions(-)

diff --git a/scripts/mk/pkg-info.mk b/scripts/mk/pkg-info.mk
index 375e429b0..ea86589ac 100644
--- a/scripts/mk/pkg-info.mk
+++ b/scripts/mk/pkg-info.mk
@@ -2,10 +2,15 @@
 # information variables:
 #
 #   DEB_SOURCE: source package name.
-#   DEB_VERSION: package's full version (epoch + upstream vers. + revision).
+#   DEB_VERSION: package's full version.
+#     [epoch:]upstream-version[-revision]
 #   DEB_VERSION_EPOCH_UPSTREAM: package's version without the Debian revision.
+#     [epoch:]upstream-version.
 #   DEB_VERSION_UPSTREAM_REVISION: package's version without the Debian epoch.
-#   DEB_VERSION_UPSTREAM: package's upstream version.
+#     upstream-version[-revision]
+#   DEB_VERSION_UPSTREAM: package's upstream version without the Debian epoch
+#     or revision.
+#     upstream-version
 #   DEB_DISTRIBUTION: distribution(s) listed in the current debian/changelog
 #     entry.
 #   DEB_TIMESTAMP: source package release date as seconds since the epoch as
-- 
2.45.2

